Appearance
Workspaces API
All URIs are relative to https://api.syntheticusers.com/api/v1
| Method | HTTP request | Description |
|---|---|---|
| getWorkspace | GET /workspaces/ | Get Workspace |
| listWorkspaces | GET /workspaces | List Workspaces |
getWorkspace
Workspace getWorkspace()
Example
typescript
import { createConfiguration, WorkspacesApi } from '';
import type { WorkspacesApiGetWorkspaceRequest } from '';
const configuration = createConfiguration();
const apiInstance = new WorkspacesApi(configuration);
const request: WorkspacesApiGetWorkspaceRequest = {
workspaceId: "workspace_id_example",
};
const data = await apiInstance.getWorkspace(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| workspaceId | [string] | defaults to undefined |
Return type
Workspace
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
listWorkspaces
PageWorkspace listWorkspaces()
Example
typescript
import { createConfiguration, WorkspacesApi } from '';
import type { WorkspacesApiListWorkspacesRequest } from '';
const configuration = createConfiguration();
const apiInstance = new WorkspacesApi(configuration);
const request: WorkspacesApiListWorkspacesRequest = {
// Page number (optional)
page: 1,
// Page size (optional)
size: 50,
};
const data = await apiInstance.listWorkspaces(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| page | [number] | Page number | (optional) defaults to 1 |
| size | [number] | Page size | (optional) defaults to 50 |
Return type
PageWorkspace
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |